yesod-routes-flow
=================

Parse the Yesod routes data structure and generate routes that can be used in Flow.

The routing structure is generated by:

    mkYesodDispatch "App" resourcesApp

You can generate routes at startup inside the `makeApplication` function

    when development $
        genFlowRoutes resourcesApp "assets/ts/paths-gen.ts"


This generates Flow code:

    class PATHS_TYPE_paths {
      contacts: PATHS_TYPE_paths_contacts;
      admin: PATHS_TYPE_paths_admin;

      constructor(){
        this.contacts = new PATHS_TYPE_paths_contacts();
        this.admin = new PATHS_TYPE_paths_admin();
      }
    }

    class PATHS_TYPE_paths_contacts {
      get(): string { return '/api/v1/contacts/get'; }
    }

    class PATHS_TYPE_paths_admin {
      adminDocs: PATHS_TYPE_paths_admin_adminDocs;

      constructor(){
        this.adminDocs = new PATHS_TYPE_paths_admin_adminDocs();
      }
    }

    class PATHS_TYPE_paths_admin_adminDocs {
      get(): string { return '/api/v1/admin/docs/get'; }
    }


    var PATHS:PATHS_TYPE_paths = new PATHS_TYPE_paths();


In your Flow code you can now do:


    PATHS.admin.adminDocs.get()


Please note that the Haskell code was hastily translated from
Javascript code, then translated from TypeScript to Flow, and is
pretty horrible.  There are bugs and edge cases to be addressed,
but this works ok for us.
